> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1enrichmentmnp requests



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/enrichment/mnp/{check}/requests
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/enrichment/mnp/{check}/requests:
    get:
      tags:
        - EnrichmentMnp
      operationId: enrichment.requests-list
      parameters:
        - name: check
          in: path
          required: true
          description: The check ID
          schema:
            type: string
            format: uuid
        - name: startRow
          in: query
          schema:
            type: integer
            minimum: 0
        - name: endRow
          in: query
          schema:
            type: integer
            minimum: 1
        - name: with
          in: query
          schema:
            type: array
            enum:
              - result
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: string
                      last_page:
                        type: string
                        description: '''from'' => $this->firstItem(),'
                      per_page:
                        type: string
                      total:
                        type: string
                        description: '''to'' => $this->lastItem(),'
                    required:
                      - current_page
                      - last_page
                      - per_page
                      - total
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````